Subject: Re: Harmful LESS flags

From: David Kastrup <[email-masked]>
Date: Thu, 24 Apr 2014 21:50:06 +0200

Junio C Hamano <[email-masked]> writes:

> David Kastrup <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> Traditionally, because the tool grew in a context of being used in a
>>> project whose participants are at least not malicious, always having
>>> to be on the lookout for fear of middle-of-line tabs hiding bad
>>> contents near the right edges of lines has never been an issue.
>>
>> My beef is not with "hiding bad contents" but with "hiding contents".
>> It makes the output useless for seeing what is actually happening as
>> soon as the option starts having an effect.
>
> My suspicion is that one of the reasons why S was chosen to be in
> the default was to mildly discourage people from busting the usual
> line-length limit, but I am not Linus ;-)

Except that the busting becomes less rather than more conspicuous.

-- 
David Kastrup